Vuframe® CDN API
Vuframe® CDN API for delivering media, assets and 3D models.
v1.0.0Download vuframe-cdn-api.yml
Request files from the Vuframe® platform via the CDN API.
Servers
https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0SwaggerHub API Auto Mockinghttps://cdn.vuframe.comProduction server
Contact [email protected]
Endpoints
- Clients
- GET
/{token}/itemdownload an item - GET
/{token}/download [DEPRECATED]download an item; DEPRECATED, use /{token}/item instead - GET
/{token}/download_urlretrieve the download url for an item - GET
/{token}/propertiesretrieve properties of item as json - GET
/{token}/previewdownload preview image (JPG or PNG) - GET
/{token}/thumbdownload thumbnail image (JPG) - GET
/{token}/packagedownload items which are streamed by default - GET
/{token}/rawdownload processed file directly - GET
/{token}/sourcedownload the uploaded source of an item - GET
/{token}/resource/{resource_name}download a resource from within this item - GET
/{token}/edge/{resource_name}download a resource from within this item
- GET
Clients
Secured calls for Vuframe® app clients.
download an item
GET/{token}/item
Call /{token}/item to download a file.
Content Types:
- 3D Item
- Image
- Movie
Warning: For 3D Items, when no format is passed this defaults to the contents.zip of a legacy Vuframe 3D file.
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item. Example: "2f12c4d43743e0bc123c46faf23c196d123466123a67169d". |
Query parameters
| Name | Type | Description |
|---|---|---|
version | integer | the specific version of the item, defaults to latest version if not passed |
redirect | integer | redirect to final download path, instead of serving file directly. setting redirect=1 is highly recommended. One of: 0, 1. Default: 0. |
format | string | |
resolution | string | resolution identifier, if resolution is found will be returned, otherwise raw file. example resolutions: 0k, 1k, 2k, 4k |
segment | integer | index of the segment of the file to be retrieved (currently only used for 360 images pass 0 for the left, 1 for the right half of the image) |
client | string | string identifying the client making this request. Example: "aura-cli". |
cloudfront | integer | Requesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect for download
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/item"download an item; DEPRECATED, use /{token}/item instead
GET/{token}/download [DEPRECATED]
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Responses
302redirect for download
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/download [DEPRECATED]"retrieve the download url for an item
GET/{token}/download_url
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Query parameters
| Name | Type | Description |
|---|---|---|
version | integer | the specific version of the item, defaults to latest version if not passed |
cloudfront | integer | Requesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
200download_url and source_properties
Content type application/json
| Field | Type | Description |
|---|---|---|
[].guid | string (uuid) | |
[].name | string | |
[].type | string | |
[].asset | string | |
[].editor | string | |
[].layouts | array of object | |
[].layouts[].name | string | |
[].version | string | |
[].features | array of string | |
[].surfaces | array of any | |
[].triggers | array of any | |
[].luminance | string | |
[].variations | array of object | |
[].variations[].name | string | |
[].variations[].styles | array of any | |
[].variations[].description | string | |
[].api_version | string | |
[].ar_patterns | array of any | |
[].published_at | string | |
[].lighting_type | string | |
[].editor_variant | string | |
[].editor_version | string | |
[].lighting_color | string | |
[].plugin_version | string | |
[].main_ar_pattern | string | |
[].background_color | string (nullable) | |
[].external_objects | array of any | |
[].external_textures | array of any | |
[].external_materials | array of any | |
[].lighting_direction | string | |
[].lighting_intensity | string | |
[].augmented_middleware | string | |
[].additional_formats | object | |
[].url | string | |
[].thumb | string |
Example
[
{
"guid": "bf1a77aaa42cb9e253965f4e6482463e778e45145a464564",
"name": "Kitchen-Mixer",
"type": "cloud_scene",
"asset": "Mixer",
"editor": "unity",
"layouts": [
{
"name": "root"
}
],
"version": 7,
"features": [
"touch"
],
"surfaces": [
null
],
"triggers": [
null
],
"luminance": 0.42027527135757087,
"variations": [
{
"name": "Meshes",
"styles": [
null
],
"description": null
}
],
"api_version": 42,
"ar_patterns": [
null
],
"published_at": "01.04.2020 14:23:13",
"lighting_type": "dynamic",
"editor_variant": "ios",
"editor_version": "2017.4.1f1",
"lighting_color": 0,
"plugin_version": 23,
"main_ar_pattern": null,
"background_color": "string",
"external_objects": [
null
],
"external_textures": [
null
],
"external_materials": [
null
],
"lighting_direction": "(000000)",
"lighting_intensity": 0,
"augmented_middleware": "wikitude",
"additional_formats": {},
"url": "https://cdn.vuframe.com/...",
"thumb": "https://cdn.vuframe.com/..."
}
]Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/download_url"retrieve properties of item as json
GET/{token}/properties
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Query parameters
| Name | Type | Description |
|---|---|---|
version | integer | the specific version of the item, defaults to latest version if not passed |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
200search results matching criteria
Content type application/json
| Field | Type | Description |
|---|---|---|
[].guid | string (uuid) | |
[].name | string | |
[].type | string | |
[].asset | string | |
[].editor | string | |
[].layouts | array of object | |
[].layouts[].name | string | |
[].version | string | |
[].features | array of string | |
[].surfaces | array of any | |
[].triggers | array of any | |
[].luminance | string | |
[].variations | array of object | |
[].variations[].name | string | |
[].variations[].styles | array of any | |
[].variations[].description | string | |
[].api_version | string | |
[].ar_patterns | array of any | |
[].published_at | string | |
[].lighting_type | string | |
[].editor_variant | string | |
[].editor_version | string | |
[].lighting_color | string | |
[].plugin_version | string | |
[].main_ar_pattern | string | |
[].background_color | string (nullable) | |
[].external_objects | array of any | |
[].external_textures | array of any | |
[].external_materials | array of any | |
[].lighting_direction | string | |
[].lighting_intensity | string | |
[].augmented_middleware | string | |
[].additional_formats | object |
Example
[
{
"guid": "bf1a77aaa42cb9e253965f4e6482463e778e45145a464564",
"name": "Kitchen-Mixer",
"type": "cloud_scene",
"asset": "Mixer",
"editor": "unity",
"layouts": [
{
"name": "root"
}
],
"version": 7,
"features": [
"touch"
],
"surfaces": [
null
],
"triggers": [
null
],
"luminance": 0.42027527135757087,
"variations": [
{
"name": "Meshes",
"styles": [
null
],
"description": null
}
],
"api_version": 42,
"ar_patterns": [
null
],
"published_at": "01.04.2020 14:23:13",
"lighting_type": "dynamic",
"editor_variant": "ios",
"editor_version": "2017.4.1f1",
"lighting_color": 0,
"plugin_version": 23,
"main_ar_pattern": null,
"background_color": "string",
"external_objects": [
null
],
"external_textures": [
null
],
"external_materials": [
null
],
"lighting_direction": "(000000)",
"lighting_intensity": 0,
"augmented_middleware": "wikitude",
"additional_formats": {}
}
]Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/properties"download preview image (JPG or PNG)
GET/{token}/preview
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Query parameters
| Name | Type | Description |
|---|---|---|
version | integer | the specific version of the item, defaults to latest version if not passed |
redirect | integer | redirect to final download path, instead of serving file directly. setting redirect=1 is highly recommended. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect to preview image
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/preview"download thumbnail image (JPG)
GET/{token}/thumb
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Query parameters
| Name | Type | Description |
|---|---|---|
version | integer | the specific version of the item, defaults to latest version if not passed |
redirect | integer | redirect to final download path, instead of serving file directly. setting redirect=1 is highly recommended. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect to thumbnail image
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/thumb"download items which are streamed by default
GET/{token}/package
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Query parameters
| Name | Type | Description |
|---|---|---|
resolution | string | resolution identifier, if resolution is found will be returned, otherwise raw file. example resolutions: 0k, 1k, 2k, 4k |
version | integer | the specific version of the item, defaults to latest version if not passed |
cloudfront | integer | Requesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect to package file
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/package"download processed file directly
GET/{token}/raw
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Query parameters
| Name | Type | Description |
|---|---|---|
version | integer | the specific version of the item, defaults to latest version if not passed |
cloudfront | integer | Requesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect to processed file
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/raw"download the uploaded source of an item
GET/{token}/source
download source file
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
Query parameters
| Name | Type | Description |
|---|---|---|
version | integer | the specific version of the item, defaults to latest version if not passed |
cloudfront | integer | Requesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect to original, unprocessed file
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/source"download a resource from within this item
GET/{token}/resource/{resource_name}
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
resource_namerequired | string | name of the requested resource |
Query parameters
| Name | Type | Description |
|---|---|---|
ext | string | the extension of the requested resource, prevents the need for urlencoded resource names (zip, dat, jpg, etc..) |
version | integer | the specific version of the item, defaults to latest version if not passed |
cloudfront | integer | Requesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect to resource file
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/resource/{resource_name}"download a resource from within this item
GET/{token}/edge/{resource_name}
Path parameters
| Name | Type | Description |
|---|---|---|
tokenrequired | string | the token of the requested item |
resource_namerequired | string | name of the requested resource |
Query parameters
| Name | Type | Description |
|---|---|---|
ext | string | the extension of the requested resource, prevents the need for urlencoded resource names (zip, dat, jpg, etc..) |
path | string | the path leading to the requested resource (e.g. auraweb for AuraWeb data) |
cloudfront | integer | Requesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0. |
inspect | integer | Admin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0. |
Responses
302redirect to resource file
No body.
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/edge/{resource_name}"